---
id: tbd
title: tbd
hide_title: true
hide_table_of_contents: true
sidebar_label: tbd
description: Generate a text-based stub library '.tbd' file for a dylib
---
## ipsw dyld tbd

Generate a text-based stub library '.tbd' file for a dylib

```
ipsw dyld tbd <DSC> <DYLIB> [flags]
```

### Options

```
  -g, --generic         Generate for ALL targets
  -h, --help            help for tbd
  -o, --output string   Directory to extract the dylibs (default: CWD)
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw dyld](/docs/cli/ipsw/dyld)	 - Parse dyld_shared_cache

